• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

IB TWS new authentication Version for NT7 ?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    IB TWS new authentication Version for NT7 ?

    As you know IB has done a big change to TWS authentication procedure, where now you're asked by a generated key from its key-app. The last version used is: Build 968.2g, Nov 14, 2017 , but I'm using it with NT8. However for several reasons I'm almost forced to return to NT7 for issues related to 1/10 pip data Vs the standard Halfpip, So:

    If I had to use NT7, which IB-TWS last version should be used that actually incorporates the new authentication procedure? Cause the 960.2g is an old version.

    Thanks

    #2
    While TWS 960.2g is the officially supported version of Trader Workstation for use with NinjaTrader 7, we are unaware of any limitations which would cause the latest version (968.2g) to cause any issues.

    I was able to successfully connect to NinjaTrader 7 using TWS 968.2g. My test account did not have the additional two-step verification enabled. This makes me think that this additional verification is not required, but we would need to contact Interactive Brokers to verify. However, keep in mind that this newest version has not been tested internally at NinjaTrader and is not officially supported.

    EDIT - regarding half-pip vs. tenth-pip data display, could you elaborate further? Are you wanting to be able to control the pip quotes coming in from your data provider? Or is there another issue?
    Patrick G.NinjaTrader Customer Service

    Comment


      #3
      What is the officially supported version of Trader Workstation by NT7 ? Have in mind the new authentication method from IB through a phone app. They go on 963.3o
      Thanks

      Comment


        #4
        The supported version of Trader Workstation/Gateway is currently the same for both versions of the platform - 960.2g. You can always confirm what version is the current supported version by viewing (and downloading from) the connection guide:

        https://ninjatrader.com/ConnectionGu...nnection-Guide
        Patrick G.NinjaTrader Customer Service

        Comment


          #5
          Originally posted by NinjaTrader_PatrickG View Post
          While TWS 960.2g is the officially supported version of Trader Workstation for use with NinjaTrader 7, we are unaware of any limitations which would cause the latest version (968.2g) to cause any issues.

          I was able to successfully connect to NinjaTrader 7 using TWS 968.2g. My test account did not have the additional two-step verification enabled. This makes me think that this additional verification is not required, but we would need to contact Interactive Brokers to verify. However, keep in mind that this newest version has not been tested internally at NinjaTrader and is not officially supported.......
          Patrick, I've been able to connect to NT7, the IB-TWS (version Build 963.3o, May 15, 2018) OR its IB-Gateway (version Build 963.3o, May 15, 2018) seamlessly. But since you say that versions newer than TWS 960.2g are NOT officially supported, I wonder what could those limitations really be: Executing orders? Connecting and downloading data? connection instability? can you elaborate a little bit based on past experiences, so we might evaluate better pros/cons to use better and enhanced platforms?

          Please consider that version 960.2g is at least 2 years old.
          Actually IB platforms states:
          TWS Latest version 972.1i
          TWS last stable version: 963.3o

          Thanks for your attention

          Comment


            #6
            'Not supported' just means that we have not thoroughly tested a newer version of TWS/Gateway internally. I do not suspect you'll run into any issues, but if you do, we would ask you to downgrade so we are then working with a known/tested product.

            We usually update the supported version about once a year. Interactive Brokers releases updates much more frequently than we can test, so we update periodically or when a critical fix is implemented. We do not have an official schedule, but I suspect a newer supported version of TWS will occur soon.
            Patrick G.NinjaTrader Customer Service

            Comment

            Latest Posts

            Collapse

            Topics Statistics Last Post
            Started by crabman777, Today, 09:52 AM
            0 responses
            1 view
            0 likes
            Last Post crabman777  
            Started by Arkadiy_B, Today, 06:43 AM
            0 responses
            2 views
            0 likes
            Last Post Arkadiy_B  
            Started by leontancfa, Today, 06:09 AM
            1 response
            9 views
            0 likes
            Last Post NinjaTrader_PatrickG  
            Started by soulfx, 12-01-2017, 08:44 AM
            3 responses
            1,019 views
            0 likes
            Last Post NinjaTrader_EricB  
            Started by Parmenides48, 04-09-2019, 03:32 AM
            10 responses
            53 views
            0 likes
            Last Post NinjaTrader_PatrickG  
            Working...
            X